Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Persistent.Base.General
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Linq
Imports System.Linq.Expressions
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<DeferredDeletion(False)> _
Public Class AssetsPCIRows
    Inherits BaseObject
    Private _AssetsPCIHeader As AssetsPCIHeader 'Kapcsolódó fejléc
    Private _CustomersFrom As CustomersFrom 'Saját cég
    Private _Customers As Customers 'Partner
    Private _PartnerType As ePartnerType 'Partner tipusa, mindig 0
    Private _ConnectInfo As String 'Pontozási info
    Private _CurrencyName As CurrencyName 'Devizanem
    Private _DateExecution As Date 'Teljesítés dátuma
    Private _DateCreated As Date 'Kiáll. dátuma
    Private _DatePayment As Date 'Fizetési határidő
    Private _DelayedDay As Long 'Késett nap
    Private _AmountHUF_Account As Double 'Számla eredeti bruttó összege
    Private _AmountDEV_Account As Double 'Számla eredeti bruttó összege
    Private _BallanceHUF As Double 'Egyenleg HUF
    Private _BallanceDEV As Double 'Egyenleg DEV
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    <Association("AssetsPCIHeader-AssetsPCIRows", GetType(AssetsPCIHeader))> _
    Property AssetsPCIHeader As AssetsPCIHeader
        Get
            Return _AssetsPCIHeader
        End Get
        Set(ByVal value As AssetsPCIHeader)
            SetPropertyValue("AssetsPCIHeader", _AssetsPCIHeader, value)
        End Set
    End Property
    Property CustomersFrom() As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(ByVal value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property Customers() As Customers
        Get
            Return _Customers
        End Get
        Set(ByVal value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property PartnerType() As ePartnerType
        Get
            Return _PartnerType
        End Get
        Set(ByVal value As ePartnerType)
            SetPropertyValue("PartnerType", _PartnerType, value)
        End Set
    End Property
    Property ConnectInfo() As String
        Get
            Return _ConnectInfo
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ConnectInfo", _ConnectInfo, value)
        End Set
    End Property
    Property CurrencyName() As CurrencyName
        Get
            Return _CurrencyName
        End Get
        Set(ByVal value As CurrencyName)
            SetPropertyValue("CurrencyName", _CurrencyName, value)
        End Set
    End Property
    Property DateExecution As Date
        Get
            Return _DateExecution
        End Get
        Set(ByVal value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property
    Property DateCreated As Date
        Get
            Return _DateCreated
        End Get
        Set(value As Date)
            SetPropertyValue("DateCreated", _DateCreated, value)
        End Set
    End Property
    Property DatePayment As Date
        Get
            Return _DatePayment
        End Get
        Set(ByVal value As Date)
            SetPropertyValue("DatePayment", _DatePayment, value)
        End Set
    End Property
    Property DelayedDay As Long
        Get
            Return _DelayedDay
        End Get
        Set(ByVal value As Long)
            SetPropertyValue("DelayedDay", _DelayedDay, value)
        End Set
    End Property
    Property BallanceHUF As Double
        Get
            Return _BallanceHUF
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("BallanceHUF", _BallanceHUF, value)
        End Set
    End Property
    Property BallanceDEV As Double
        Get
            Return _BallanceDEV
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("BallanceTotal", _BallanceDEV, value)
        End Set
    End Property
    Property AmountHUF_Account As Double
        Get
            Return _AmountHUF_Account
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUF_Account", _AmountHUF_Account, value)
        End Set
    End Property
    Property AmountDEV_Account As Double
        Get
            Return _AmountDEV_Account
        End Get
        Set(value As Double)
            SetPropertyValue("AmountDEV_Account", _AmountDEV_Account, value)
        End Set
    End Property
End Class

